Bug 1292747 - Satellite's email configuration should use sendmail by default and not 'smtp.example.com'
Satellite's email configuration should use sendmail by default and not 'smtp....
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Email (Show other bugs)
6.1.5
Unspecified Unspecified
unspecified Severity medium (vote)
: GA
: --
Assigned To: Stephen Benjamin
Bruno Rocha
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 04:33 EST by Rich Jerrido
Modified: 2018-02-21 12:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:01:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 15704 None None None 2016-07-15 10:32 EDT

  None (edit)
Description Rich Jerrido 2015-12-18 04:33:43 EST
Description of problem:


As a user I would like to have the default email configuration (specified in /etc/foreman/email.yml) to be changes to 'localhost' from 'smtp.example.com'

The reasoning for this is the following:

* Almost every server system has a local MTA (even if all that MTA does is relay mail to another). 
* If I mail-enable a user accidentally without specifying an MTA, many of my tasks that send email (repository sync or content view promotion) end in a 'warning' state due to not being able to connect to 'smtp.example.com' 
* Having the email sent to my local MTA allows the MTA the ability to retry delivery, queue the message and various other mail delivery tasks that MTA are good at. 

Version-Release number of selected component (if applicable):
katello-2.2.0.16-1.el7sat.noarch
foreman-1.7.2.49-1.el7sat.noarch




Additional info:
Comment 1 Stephen Benjamin 2016-07-15 10:32:08 EDT
Created redmine issue http://projects.theforeman.org/issues/15704 from this bug
Comment 2 Stephen Benjamin 2016-07-15 10:42:14 EDT
I think sendmail has a better chance of 'just working' on a un*x system
Comment 3 Evgeni Golov 2016-07-15 11:07:24 EDT
+1 on sendmail
Comment 4 Bryan Kearney 2016-07-15 12:10:27 EDT
Upstream bug assigned to stbenjam@redhat.com
Comment 5 Bryan Kearney 2016-07-15 12:10:30 EDT
Upstream bug assigned to stbenjam@redhat.com
Comment 7 Bryan Kearney 2016-07-18 08:12:03 EDT
Moving to POST since upstream bug http://projects.theforeman.org/issues/15704 has been closed
Comment 10 Bruno Rocha 2016-11-17 13:29:39 EST
Verified in:

satellite-6.3.0-6.1.beta.el7sat.noarch - RHEL7
katello-3.2.0-3.rc3.el7.noarch
foreman-1.13.1-1.el7.noarch

Conclusion:

it defaults to sendmail

cat /etc/foreman/email.yaml 
# Outgoing email settings

production:
  delivery_method: :sendmail
Comment 11 Bryan Kearney 2018-02-21 12:01:59 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.